Unverified Commit f71853c6 authored by Peter J. Herrel's avatar Peter J. Herrel
Browse files

require wp-cli 1.4.0

parent e990e0b3
......@@ -9,7 +9,7 @@ Quick links: [Installation](#installation) | [Using](#using) | [Contributing](#c
## Installation
Installing this package requires WP-CLI v1.3.0 or greater. Update to the latest stable release with `wp cli update`.
Installing this package requires WP-CLI v1.4.0 or greater. Update to the latest stable release with `wp cli update`.
Once you've done so, you can install this package with `wp package install [email protected]:diggy/polylang-cli.git`.
## Using
......
......@@ -13,8 +13,8 @@ if ( defined( 'WP_CLI' ) && WP_CLI ) {
WP_CLI::error( sprintf( 'This WP-CLI package requires PHP version %s or higher.', '5.5' ) );
}
if ( version_compare( WP_CLI_VERSION, '1.3.0', '<' ) ) {
WP_CLI::error( sprintf( 'This WP-CLI package requires WP-CLI version %s or higher. Please visit %s', '1.3.0', 'https://wp-cli.org/#updating' ) );
if ( version_compare( WP_CLI_VERSION, '1.4.0', '<' ) ) {
WP_CLI::error( sprintf( 'This WP-CLI package requires WP-CLI version %s or higher. Please visit %s', '1.4.0', 'https://wp-cli.org/#updating' ) );
}
# api, cli
......
......@@ -18,7 +18,7 @@
"files": ["command.php"]
},
"require": {
"wp-cli/wp-cli": "~1.3.0"
"wp-cli/wp-cli": "~1.4.0"
},
"require-dev": {
"behat/behat": "~2.5"
......@@ -91,7 +91,7 @@
"Development"
],
"installation": {
"body": "Installing this package requires WP-CLI v1.3.0 or greater. Update to the latest stable release with `wp cli update`. \nOnce you've done so, you can install this package with `wp package install [email protected]:diggy/polylang-cli.git`."
"body": "Installing this package requires WP-CLI v1.4.0 or greater. Update to the latest stable release with `wp cli update`. \nOnce you've done so, you can install this package with `wp package install [email protected]:diggy/polylang-cli.git`."
},
"development": {
"body": "### Behat Tests\nTo run the Behat tests for polylang-cli, `cd` into the package directory and run `$ ./vendor/bin/behat --expand` from the command line. To run a specific group of tests use the `tags` parameter; e.g.: `$ ./vendor/bin/behat --expand --tags @pll-lang`"
......
......@@ -4,7 +4,7 @@
"Read more about it at https://getcomposer.org/doc/01-basic-usage.md#composer-lock-the-lock-file",
"This file is @generated automatically"
],
"content-hash": "7ccbb9f9bd8cf84d8aaac1997f82ef00",
"content-hash": "930dfe288ee80a8a2e192162eeae65e1",
"packages": [
{
"name": "composer/ca-bundle",
......@@ -267,16 +267,16 @@
},
{
"name": "justinrainbow/json-schema",
"version": "5.2.5",
"version": "5.2.6",
"source": {
"type": "git",
"url": "https://github.com/justinrainbow/json-schema.git",
"reference": "0d4fda8efdf216ade084a7f0aad5637572ce9835"
"reference": "d283e11b6e14c6f4664cf080415c4341293e5bbd"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/justinrainbow/json-schema/zipball/0d4fda8efdf216ade084a7f0aad5637572ce9835",
"reference": "0d4fda8efdf216ade084a7f0aad5637572ce9835",
"url": "https://api.github.com/repos/justinrainbow/json-schema/zipball/d283e11b6e14c6f4664cf080415c4341293e5bbd",
"reference": "d283e11b6e14c6f4664cf080415c4341293e5bbd",
"shasum": ""
},
"require": {
......@@ -329,7 +329,7 @@
"json",
"schema"
],
"time": "2017-10-10T13:22:37+00:00"
"time": "2017-10-21T13:15:38+00:00"
},
{
"name": "mustache/mustache",
......@@ -1097,16 +1097,16 @@
},
{
"name": "symfony/polyfill-mbstring",
"version": "v1.5.0",
"version": "v1.6.0",
"source": {
"type": "git",
"url": "https://github.com/symfony/polyfill-mbstring.git",
"reference": "7c8fae0ac1d216eb54349e6a8baa57d515fe8803"
"reference": "2ec8b39c38cb16674bbf3fea2b6ce5bf117e1296"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/7c8fae0ac1d216eb54349e6a8baa57d515fe8803",
"reference": "7c8fae0ac1d216eb54349e6a8baa57d515fe8803",
"url": "https://api.github.com/repos/symfony/polyfill-mbstring/zipball/2ec8b39c38cb16674bbf3fea2b6ce5bf117e1296",
"reference": "2ec8b39c38cb16674bbf3fea2b6ce5bf117e1296",
"shasum": ""
},
"require": {
......@@ -1118,7 +1118,7 @@
"type": "library",
"extra": {
"branch-alias": {
"dev-master": "1.5-dev"
"dev-master": "1.6-dev"
}
},
"autoload": {
......@@ -1152,7 +1152,7 @@
"portable",
"shim"
],
"time": "2017-06-14T15:44:48+00:00"
"time": "2017-10-11T12:05:26+00:00"
},
{
"name": "symfony/process",
......@@ -2389,16 +2389,16 @@
},
{
"name": "wp-cli/scaffold-command",
"version": "v1.0.9",
"version": "v1.0.10",
"source": {
"type": "git",
"url": "https://github.com/wp-cli/scaffold-command.git",
"reference": "367f4d1107674b3eca29b6c43bdf83b952de53fe"
"reference": "97ab0a2e388be638445dad072f6e7b4aa5d4bfbd"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/wp-cli/scaffold-command/zipball/367f4d1107674b3eca29b6c43bdf83b952de53fe",
"reference": "367f4d1107674b3eca29b6c43bdf83b952de53fe",
"url": "https://api.github.com/repos/wp-cli/scaffold-command/zipball/97ab0a2e388be638445dad072f6e7b4aa5d4bfbd",
"reference": "97ab0a2e388be638445dad072f6e7b4aa5d4bfbd",
"shasum": ""
},
"require-dev": {
......@@ -2443,20 +2443,20 @@
],
"description": "Generate code for post types, taxonomies, plugins, child themes, etc.",
"homepage": "https://github.com/wp-cli/scaffold-command",
"time": "2017-10-11T20:39:02+00:00"
"time": "2017-10-15T13:45:45+00:00"
},
{
"name": "wp-cli/search-replace-command",
"version": "v1.1.0",
"version": "v1.1.1",
"source": {
"type": "git",
"url": "https://github.com/wp-cli/search-replace-command.git",
"reference": "54c5dc365b3fe404db319da2875f298604a78701"
"reference": "a823ffaf0faf0e72f8bba576d60530f71eacd9b1"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/wp-cli/search-replace-command/zipball/54c5dc365b3fe404db319da2875f298604a78701",
"reference": "54c5dc365b3fe404db319da2875f298604a78701",
"url": "https://api.github.com/repos/wp-cli/search-replace-command/zipball/a823ffaf0faf0e72f8bba576d60530f71eacd9b1",
"reference": "a823ffaf0faf0e72f8bba576d60530f71eacd9b1",
"shasum": ""
},
"require": {
......@@ -2496,7 +2496,7 @@
],
"description": "Search/replace strings in the database.",
"homepage": "https://github.com/wp-cli/search-replace-command",
"time": "2017-10-12T22:08:35+00:00"
"time": "2017-10-14T17:59:08+00:00"
},
{
"name": "wp-cli/server-command",
......@@ -2718,21 +2718,22 @@
},
{
"name": "wp-cli/wp-cli",
"version": "v1.3.0",
"version": "v1.4.0",
"source": {
"type": "git",
"url": "https://github.com/wp-cli/wp-cli.git",
"reference": "4ab0d99da0ad5e6ca39453ff5c82d4f06aecb086"
"reference": "b1cdbcf52ca57aaecac1e9b531540bfe0e58650f"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/wp-cli/wp-cli/zipball/4ab0d99da0ad5e6ca39453ff5c82d4f06aecb086",
"reference": "4ab0d99da0ad5e6ca39453ff5c82d4f06aecb086",
"url": "https://api.github.com/repos/wp-cli/wp-cli/zipball/b1cdbcf52ca57aaecac1e9b531540bfe0e58650f",
"reference": "b1cdbcf52ca57aaecac1e9b531540bfe0e58650f",
"shasum": ""
},
"require": {
"composer/composer": "^1.2.0",
"composer/semver": "~1.0",
"justinrainbow/json-schema": "~5.2.5",
"mustache/mustache": "~2.4",
"php": ">=5.3.29",
"ramsey/array_column": "~1.1",
......@@ -2775,8 +2776,11 @@
},
"require-dev": {
"behat/behat": "2.5.*",
"dealerdirect/phpcodesniffer-composer-installer": "^0.4.3",
"phpunit/phpunit": "3.7.*",
"roave/security-advisories": "dev-master"
"roave/security-advisories": "dev-master",
"wimg/php-compatibility": "^8.0",
"wp-coding-standards/wpcs": "^0.13.1"
},
"suggest": {
"psy/psysh": "Enhanced `wp shell` functionality"
......@@ -2812,7 +2816,7 @@
"cli",
"wordpress"
],
"time": "2017-08-08T14:28:58+00:00"
"time": "2017-10-17T12:43:24+00:00"
}
],
"packages-dev": [
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment